# Uses of Class
com.ngrok.definitions.HttpsEdgeRoute

Packages that use HttpsEdgeRoute
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of HttpsEdgeRoute in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type HttpsEdgeRoute
  Modifier and Type
  Method
  Description
  `List<HttpsEdgeRoute>`
  HttpsEdge.`getRoutes()`
  routes
  Constructor parameters in com.ngrok.definitions with type arguments of type HttpsEdgeRoute
  Modifier
  Constructor
  Description
  ``
  `HttpsEdge(String id, String description, String metadata, OffsetDateTime createdAt, URI uri, Optional<List<String>> hostports, Optional<EndpointMutualTls> mutualTls, Optional<EndpointTlsTermination> tlsTermination, List<HttpsEdgeRoute> routes)`
  Creates a new instance of `HttpsEdge`.

- ## Uses of HttpsEdgeRoute in com.ngrok.services

  Methods in com.ngrok.services that return HttpsEdgeRoute
  Modifier and Type
  Method
  Description
  `HttpsEdgeRoute`
  EdgesHttpsRoutes.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `HttpsEdgeRoute`
  EdgesHttpsRoutes.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `HttpsEdgeRoute`
  EdgesHttpsRoutes.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type HttpsEdgeRoute
  Modifier and Type
  Method
  Description
  `CompletionStage<HttpsEdgeRoute>`
  EdgesHttpsRoutes.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<HttpsEdgeRoute>`
  EdgesHttpsRoutes.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<HttpsEdgeRoute>`
  EdgesHttpsRoutes.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.